Skip to Content
veriom

Get autopilot

GET
/v1/workspaces/{workspace_id}/autopilot

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
active_schedules?Active Schedules
Default0
active_trigger_policies?Active Trigger Policies
Default0
auto_approval_rules?array<string>

Automatic approval rules in force (the platform and workspace switches on).

defaults?

What a newly connected repository gets; people can edit or remove each one.

enabled*Enabled
first_audits*array<>

The 50 most recent automatic first audits, newest first.

next_scheduled_audit_at?|null
pending*Pending
readiness?|null
skipped*Skipped
started*Started
timezone*Timezone
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/autopilot'
Example Response
{  "active_schedules": 0,  "active_trigger_policies": 0,  "auto_approval_rules": [    "string"  ],  "defaults": {    "debounce_seconds": 0,    "protected_branches": [      "string"    ],    "schedule_cadence": "weekly",    "schedule_local_hour": 9,    "schedule_weekday": 0,    "trigger_branches": "default_branch",    "trigger_events": [      "string"    ]  },  "enabled": true,  "first_audits": [    {      "attempts": 0,      "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897",      "created_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "next_attempt_at": "2019-08-24T14:15:22Z",      "origin": "string",      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "source_kind": "repository",      "state": "pending",      "updated_at": "2019-08-24T14:15:22Z",      "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",      "wait_code": "string",      "wait_reason": "string"    }  ],  "next_scheduled_audit_at": "2019-08-24T14:15:22Z",  "pending": 0,  "readiness": {    "audits_can_run": true,    "reason": "string",    "reason_code": "string",    "sources": {      "property1": true,      "property2": true    }  },  "skipped": 0,  "started": 0,  "timezone": "string",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}